> For clean Markdown of any page, append .md to the page URL. > For a complete documentation index, see https://mezmo.ferndocs.com/api-reference/log-analysis/enterprise/delete-entperise-key/llms.txt. > For AI client integration (Claude Code, Cursor, etc.), connect to the MCP server at https://mezmo.ferndocs.com/_mcp/server. # Delete an Enterprise ServiceKey DELETE https://api.mezmo.com/v1/enterprise/keys/{id} Delete an Enterprise ServiceKey from list of keys for the Enterprise Reference: https://mezmo.ferndocs.com/api-reference/log-analysis/enterprise/delete-entperise-key ## Authentication - `enterprise-servicekey` header (required) — When authorizing against our enterprise endpoints, they expect an enterprise service key instead of a regular organization service key. Some endpoints might expect both an enterprise service key and a regular organization service key. ## Request ### Path parameters - `id` (string, required) — The ID of the key ## Response ### 200 The Enterprise ServiceKey was deleted successfully, a simple status is returned. - `message` (string, optional) — The status of the request in a human-readable form - `deleted` (boolean, optional) — Indicates whether the member was deleted ## Examples **Request** ```json {} ``` **Response** ```json { "message": "Enterprise service key for payment-service deleted successfully.", "deleted": true } ``` **SDK Code** ```python import requests url = "https://api.mezmo.com/v1/enterprise/keys/629e3f7e62295be60488fb26" payload = {} headers = { "enterprise-servicekey": "", "Content-Type": "application/json" } response = requests.delete(url, json=payload, headers=headers) print(response.json()) ``` ```javascript const url = 'https://api.mezmo.com/v1/enterprise/keys/629e3f7e62295be60488fb26'; const options = { method: 'DELETE', headers: {'enterprise-servicekey': '', 'Content-Type': 'application/json'}, body: '{}' }; try { const response = await fetch(url, options); const data = await response.json(); console.log(data); } catch (error) { console.error(error); } ``` ```go package main import ( "fmt" "strings" "net/http" "io" ) func main() { url := "https://api.mezmo.com/v1/enterprise/keys/629e3f7e62295be60488fb26" payload := strings.NewReader("{}") req, _ := http.NewRequest("DELETE", url, payload) req.Header.Add("enterprise-servicekey", "") req.Header.Add("Content-Type", "application/json") res, _ := http.DefaultClient.Do(req) defer res.Body.Close() body, _ := io.ReadAll(res.Body) fmt.Println(res) fmt.Println(string(body)) } ``` ```ruby require 'uri' require 'net/http' url = URI("https://api.mezmo.com/v1/enterprise/keys/629e3f7e62295be60488fb26") http = Net::HTTP.new(url.host, url.port) http.use_ssl = true request = Net::HTTP::Delete.new(url) request["enterprise-servicekey"] = '' request["Content-Type"] = 'application/json' request.body = "{}" response = http.request(request) puts response.read_body ``` ```java import com.mashape.unirest.http.HttpResponse; import com.mashape.unirest.http.Unirest; HttpResponse response = Unirest.delete("https://api.mezmo.com/v1/enterprise/keys/629e3f7e62295be60488fb26") .header("enterprise-servicekey", "") .header("Content-Type", "application/json") .body("{}") .asString(); ``` ```php request('DELETE', 'https://api.mezmo.com/v1/enterprise/keys/629e3f7e62295be60488fb26', [ 'body' => '{}', 'headers' => [ 'Content-Type' => 'application/json', 'enterprise-servicekey' => '', ], ]); echo $response->getBody(); ``` ```csharp using RestSharp; var client = new RestClient("https://api.mezmo.com/v1/enterprise/keys/629e3f7e62295be60488fb26"); var request = new RestRequest(Method.DELETE); request.AddHeader("enterprise-servicekey", ""); request.AddHeader("Content-Type", "application/json"); request.AddParameter("application/json", "{}", ParameterType.RequestBody); IRestResponse response = client.Execute(request); ``` ```swift import Foundation let headers = [ "enterprise-servicekey": "", "Content-Type": "application/json" ] let parameters = [] as [String : Any] let postData = JSONSerialization.data(withJSONObject: parameters, options: []) let request = NSMutableURLRequest(url: NSURL(string: "https://api.mezmo.com/v1/enterprise/keys/629e3f7e62295be60488fb26")! as URL, cachePolicy: .useProtocolCachePolicy, timeoutInterval: 10.0) request.httpMethod = "DELETE" request.allHTTPHeaderFields = headers request.httpBody = postData as Data let session = URLSession.shared let dataTask = session.dataTask(with: request as URLRequest, completionHandler: { (data, response, error) -> Void in if (error != nil) { print(error as Any) } else { let httpResponse = response as? HTTPURLResponse print(httpResponse) } }) dataTask.resume() ```